-- Creates the needed tables, namely the table that holds the Warden builder skills and the data information for skills
import "SDRPlugins.WardenEase2.Class";
import "SDRPlugins.WardenEase2.GambitTooltips";
import "SDRPlugins.WardenEase2.UI";
import "SDRPlugins.WardenEase2.WEController";

-- 1 = Spear, 2 = Shield, 3 = Fist, 4 = Javelin
SDRPlugins.WardenEase2.WardenGambits = Turbine.Gameplay.Attributes.WardenGambit;

SDRPlugins.WardenEase2.Skills = {};

SDRPlugins.WardenEase2.Skills.Fist = {};
SDRPlugins.WardenEase2.Skills.Fist.Data = "0x7000EECF";

SDRPlugins.WardenEase2.Skills.Spear = {};
SDRPlugins.WardenEase2.Skills.Spear.Data = "0x7000E867";

SDRPlugins.WardenEase2.Skills.Shield = {};
SDRPlugins.WardenEase2.Skills.Shield.Data = "0x7000ED0E";

SDRPlugins.WardenEase2.Skills.Default = {};
SDRPlugins.WardenEase2.Skills.Default.Data = "0x70015F56";

SDRPlugins.WardenEase2.Skills.Recovery = {};
SDRPlugins.WardenEase2.Skills.Recovery.Data = "0x70016A0A";

SDRPlugins.WardenEase2.Skills.QuickRecovery = {};
SDRPlugins.WardenEase2.Skills.QuickRecovery.Data = "0x70016A09";

SDRPlugins.WardenEase2.Skills["Spear and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Shield"].Data = "0x70015099";

SDRPlugins.WardenEase2.Skills["Spear and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Fist"].Data = "0x70015098";

SDRPlugins.WardenEase2.Skills["Shield and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Spear"].Data = "0x7001509D";

SDRPlugins.WardenEase2.Skills["Shield and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Fist"].Data = "0x7001509B";

SDRPlugins.WardenEase2.Skills["Fist and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Spear"].Data = "0x7001509A";

SDRPlugins.WardenEase2.Skills["Fist and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Shield"].Data = "0x7001509C";

SDRPlugins.WardenEase2.Skills["Fist and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Fist"].Data = "0x7002850C";

SDRPlugins.WardenEase2.Skills["Spear and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Spear"].Data = "0x7002850A";

SDRPlugins.WardenEase2.Skills["Shield and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Shield"].Data = "0x7002850B";

-- Stores information for Gambits, won't be needed if API is fixed
SDRPlugins.WardenEase2.Gambits = {};

SDRPlugins.WardenEase2.Gambits["Geschicktes Man\195\182ver"] = {1,3,2,1}
SDRPlugins.WardenEase2.Gambits["Ansturm des Keilers"] = {1,3,1,3}
SDRPlugins.WardenEase2.Gambits["Am Rand des Sieges"] = {3,2,3}
SDRPlugins.WardenEase2.Gambits["Schau des K\195\182nnens"] = {2,1,2,1}
SDRPlugins.WardenEase2.Gambits["Kombinationsschlag"] = {1,3,1}
SDRPlugins.WardenEase2.Gambits["\195\156berzeugung"] = {2,3,2,3,2}
SDRPlugins.WardenEase2.Gambits["Kriegstanz"] = {2,3,2,3}
SDRPlugins.WardenEase2.Gambits["Defensiver Schlag"] = {2,2}
SDRPlugins.WardenEase2.Gambits["Geschickter Schlag"] = {1,1}
SDRPlugins.WardenEase2.Gambits["Verw\195\188stung"] = {3,2,3,2,3}
SDRPlugins.WardenEase2.Gambits["Kampfjubel"] = {3,1,2,3,2}
SDRPlugins.WardenEase2.Gambits["Grimmige Entschlossenheit"] = {3,1,2}
SDRPlugins.WardenEase2.Gambits["Anstacheln"] = {3,3}
SDRPlugins.WardenEase2.Gambits["Beeindruckender Hieb"] = {2,3}
SDRPlugins.WardenEase2.Gambits["Speer der Tugend"] = {3,4,3,4}
SDRPlugins.WardenEase2.Gambits["Unertr\195\164glicher Schlag"] = {2,3,2}
SDRPlugins.WardenEase2.Gambits["M\195\164chtiger Schlag"] = {1,2,3,1}
SDRPlugins.WardenEase2.Gambits["Offensiver Schlag"] = {1,3}
SDRPlugins.WardenEase2.Gambits["Ansturm"] = {1,2,1}
SDRPlugins.WardenEase2.Gambits["Durchhalten"] = {2,1}
SDRPlugins.WardenEase2.Gambits["Durchbohrender Schlag"] = {3,1,3}
SDRPlugins.WardenEase2.Gambits["Durchdringender Wurf"] = {3,4,3}
SDRPlugins.WardenEase2.Gambits["Kraftangriff"] = {1,2,3}
SDRPlugins.WardenEase2.Gambits["Pr\195\164ziser Schlag"] = {3,1}
SDRPlugins.WardenEase2.Gambits["Pr\195\164ziser Wurf"] = {3,4}
SDRPlugins.WardenEase2.Gambits["Geschicktes Man\195\182ver (Fernkampf)"] = {4,3,2,4}
SDRPlugins.WardenEase2.Gambits["Ansturm des Keilers (Fernkampf)"] = {4,3,4,3}
SDRPlugins.WardenEase2.Gambits["Stiefeltritt (Fernkampf)"] = {4,2}
SDRPlugins.WardenEase2.Gambits["Schau des K\195\182nnens (Fernkampf)"] = {2,4,2,4}
SDRPlugins.WardenEase2.Gambits["Kombinationsschlag (Fernkampf)"] = {4,3,4}
SDRPlugins.WardenEase2.Gambits["Geschickter Schlag (Fernkampf)"] = {4,4}
SDRPlugins.WardenEase2.Gambits["M\195\164chtiger Schlag (Fernkampf)"] = {4,2,3,4}
SDRPlugins.WardenEase2.Gambits["Offensiver Schlag (Fernkampf)"] = {4,3}
SDRPlugins.WardenEase2.Gambits["Ansturm (Fernkampf)"] = {4,2,4}
SDRPlugins.WardenEase2.Gambits["Durchhalten (Fernkampf)"] = {2,4}
SDRPlugins.WardenEase2.Gambits["Kraftangriff (Fernkampf)"] = {4,2,3}
SDRPlugins.WardenEase2.Gambits["Umkehrung (Fernkampf)"] = {4,3,2}
SDRPlugins.WardenEase2.Gambits["Schutzmassnahme (Fernkampf)"] = {2,4,2}
SDRPlugins.WardenEase2.Gambits["Dunkelheit vor der Morgenr\195\182te (Fernkampf)"] = {4,2,4,3,4}
SDRPlugins.WardenEase2.Gambits["Zielsicherer Schlag (Fernkampf)"] = {4,2,3,4,2}
SDRPlugins.WardenEase2.Gambits["Stahlwand (Fernkampf)"] = {4,2,4,2}
SDRPlugins.WardenEase2.Gambits["Triumph des H\195\188ters (Fernkampf)"] = {4,3,2,4,3}
SDRPlugins.WardenEase2.Gambits["Entschlossenheit"] = {3,1,2,3}
SDRPlugins.WardenEase2.Gambits["\195\156berw\195\164ltigende Herausforderung"] = {3,2,3,1}
SDRPlugins.WardenEase2.Gambits["Wiederherstellung"] = {2,1,2,1,2}
SDRPlugins.WardenEase2.Gambits["Umkehrung"] = {1,3,2}
SDRPlugins.WardenEase2.Gambits["Schutzmassnahme"] = {2,1,2}
SDRPlugins.WardenEase2.Gambits["Schildbeherrschung"] = {2,1,3,2}
SDRPlugins.WardenEase2.Gambits["Schild-Taktiken"] = {2,3,1,2}
SDRPlugins.WardenEase2.Gambits["Wurfspeer der Tugend"] = {3,1,3,1}
SDRPlugins.WardenEase2.Gambits["Todesgewissheit"] = {3,2,3,2}
SDRPlugins.WardenEase2.Gambits["Stiefeltritt"] = {1,2}
SDRPlugins.WardenEase2.Gambits["Dunkelheit vor der Morgenr\195\182te"] = {1,2,1,3,1}
SDRPlugins.WardenEase2.Gambits["Zielsicherer Schlag"] = {1,2,3,1,2}
SDRPlugins.WardenEase2.Gambits["Stahlwand"] = {1,2,1,2}
SDRPlugins.WardenEase2.Gambits["Kriegsschrei"] = {3,2}
SDRPlugins.WardenEase2.Gambits["Triumph des H\195\188ters"] = {1,3,2,1,3}
